// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v4.23.4
// source: botUser.proto

package proto

import (
	proto "gitlab.com/nikita.morozov/ms-shared/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	emptypb "google.golang.org/protobuf/types/known/emptypb"
	reflect "reflect"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

var File_botUser_proto protoreflect.FileDescriptor

var file_botUser_proto_rawDesc = []byte{
	0x0a, 0x0d, 0x62, 0x6f, 0x74, 0x55, 0x73, 0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12,
	0x05, 0x62, 0x6f, 0x74, 0x4d, 0x73, 0x1a, 0x1b, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x1a, 0x0f, 0x62, 0x6f, 0x74, 0x43, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x11, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x54, 0x79, 0x70, 0x65,
	0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x32, 0xe0, 0x02, 0x0a, 0x07, 0x42, 0x6f, 0x74, 0x55,
	0x73, 0x65, 0x72, 0x12, 0x37, 0x0a, 0x06, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x12, 0x13, 0x2e,
	0x62, 0x6f, 0x74, 0x4d, 0x73, 0x2e, 0x42, 0x6f, 0x74, 0x55, 0x73, 0x65, 0x72, 0x4d, 0x6f, 0x64,
	0x65, 0x6c, 0x1a, 0x16, 0x2e, 0x6e, 0x6d, 0x62, 0x6f, 0x74, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73,
	0x2e, 0x49, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x00, 0x12, 0x37, 0x0a, 0x06,
	0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x12, 0x13, 0x2e, 0x62, 0x6f, 0x74, 0x4d, 0x73, 0x2e, 0x42,
	0x6f, 0x74, 0x55, 0x73, 0x65, 0x72, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x1a, 0x16, 0x2e, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d,
	0x70, 0x74, 0x79, 0x22, 0x00, 0x12, 0x3a, 0x0a, 0x06, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x12,
	0x16, 0x2e, 0x6e, 0x6d, 0x62, 0x6f, 0x74, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x49, 0x64,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x16, 0x2e, 0x6e, 0x6d, 0x62, 0x6f, 0x74, 0x2e,
	0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x42, 0x6f, 0x6f, 0x6c, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x22,
	0x00, 0x12, 0x34, 0x0a, 0x03, 0x47, 0x65, 0x74, 0x12, 0x16, 0x2e, 0x6e, 0x6d, 0x62, 0x6f, 0x74,
	0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x49, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x13, 0x2e, 0x62, 0x6f, 0x74, 0x4d, 0x73, 0x2e, 0x42, 0x6f, 0x74, 0x55, 0x73, 0x65, 0x72,
	0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x22, 0x00, 0x12, 0x34, 0x0a, 0x04, 0x4c, 0x69, 0x73, 0x74, 0x12,
	0x12, 0x2e, 0x62, 0x6f, 0x74, 0x4d, 0x73, 0x2e, 0x42, 0x6f, 0x74, 0x55, 0x73, 0x65, 0x72, 0x4c,
	0x69, 0x73, 0x74, 0x1a, 0x16, 0x2e, 0x62, 0x6f, 0x74, 0x4d, 0x73, 0x2e, 0x42, 0x6f, 0x74, 0x55,
	0x73, 0x65, 0x72, 0x4c, 0x69, 0x73, 0x74, 0x52, 0x65, 0x73, 0x70, 0x22, 0x00, 0x12, 0x3b, 0x0a,
	0x05, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x1a, 0x18,
	0x2e, 0x6e, 0x6d, 0x62, 0x6f, 0x74, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x55, 0x49, 0x6e,
	0x74, 0x36, 0x34, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x22, 0x00, 0x42, 0x52, 0x0a, 0x17, 0x70, 0x72,
	0x6f, 0x2e, 0x6e, 0x6d, 0x62, 0x6f, 0x74, 0x2e, 0x62, 0x6f, 0x74, 0x73, 0x2e, 0x62, 0x6f, 0x74,
	0x2d, 0x75, 0x73, 0x65, 0x72, 0x42, 0x0c, 0x42, 0x6f, 0x74, 0x75, 0x73, 0x65, 0x72, 0x50, 0x72,
	0x6f, 0x74, 0x6f, 0x50, 0x01, 0x5a, 0x27, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f,
	0x6d, 0x2f, 0x6e, 0x69, 0x6b, 0x69, 0x74, 0x61, 0x2e, 0x6d, 0x6f, 0x72, 0x6f, 0x7a, 0x6f, 0x76,
	0x2f, 0x62, 0x6f, 0x74, 0x73, 0x2d, 0x6d, 0x73, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var file_botUser_proto_goTypes = []interface{}{
	(*BotUserModel)(nil),      // 0: botMs.BotUserModel
	(*proto.IdRequest)(nil),   // 1: nmbot.types.IdRequest
	(*BotUserList)(nil),       // 2: botMs.BotUserList
	(*emptypb.Empty)(nil),     // 3: google.protobuf.Empty
	(*proto.BoolValue)(nil),   // 4: nmbot.types.BoolValue
	(*BotUserListResp)(nil),   // 5: botMs.BotUserListResp
	(*proto.UInt64Value)(nil), // 6: nmbot.types.UInt64Value
}
var file_botUser_proto_depIdxs = []int32{
	0, // 0: botMs.BotUser.Create:input_type -> botMs.BotUserModel
	0, // 1: botMs.BotUser.Update:input_type -> botMs.BotUserModel
	1, // 2: botMs.BotUser.Delete:input_type -> nmbot.types.IdRequest
	1, // 3: botMs.BotUser.Get:input_type -> nmbot.types.IdRequest
	2, // 4: botMs.BotUser.List:input_type -> botMs.BotUserList
	3, // 5: botMs.BotUser.Count:input_type -> google.protobuf.Empty
	1, // 6: botMs.BotUser.Create:output_type -> nmbot.types.IdRequest
	3, // 7: botMs.BotUser.Update:output_type -> google.protobuf.Empty
	4, // 8: botMs.BotUser.Delete:output_type -> nmbot.types.BoolValue
	0, // 9: botMs.BotUser.Get:output_type -> botMs.BotUserModel
	5, // 10: botMs.BotUser.List:output_type -> botMs.BotUserListResp
	6, // 11: botMs.BotUser.Count:output_type -> nmbot.types.UInt64Value
	6, // [6:12] is the sub-list for method output_type
	0, // [0:6] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_botUser_proto_init() }
func file_botUser_proto_init() {
	if File_botUser_proto != nil {
		return
	}
	file_botCommon_proto_init()
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_botUser_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   0,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_botUser_proto_goTypes,
		DependencyIndexes: file_botUser_proto_depIdxs,
	}.Build()
	File_botUser_proto = out.File
	file_botUser_proto_rawDesc = nil
	file_botUser_proto_goTypes = nil
	file_botUser_proto_depIdxs = nil
}
